.TH "G4_CMD_STRUCT" "3" "1" "Polhemus" "Polhemus G4Track Library"
.SH "NAME"
G4_CMD_STRUCT \- G4 Configuration Command Structure
.SH "SYNOPSIS"
.br 

#include "G4TrackIncl.h"
.br 


typedef struct _G4_CMD_STRUCT {
.br 
	int \fIcmd\fR;
.br 
	G4_CMD_DATA_STRUCT \fIcds\fR;
.br 
}\fB*LPG4_CMD_STRUCT,G4_CMD_STRUCT\fR;
.SH "DESCRIPTION"
This is the structure that is passed to the \fBg4_set_query\fR() function.  It is used to set or read all configuration data in the tracker.  A \fBG4_CMD_DATA_STRUCT\fR structure is embedded in this structure that contains the parameters and variables necessary to write or read the specific configuration that corresponds to the specific command.  The values in the \fBG4_CMD_DATA_STRUCT\fR are command specific.
.SH "STRUCTURE MEMBERS"
.br 

\fIcmd\fR:  One of the following enums:
.br 

	\fBG4_CMD_WHOAMI,
.br 
	G4_CMD_GETMAXSRC,
.br 
	G4_CMD_BORESIGHT,
.br 
	G4_CMD_FILTER,
.br 
	G4_CMD_INCREMENT,
.br 
	G4_CMD_FOR_ROTATE,
.br 
	G4_CMD_FOR_TRANSLATE,
.br 
	G4_CMD_TIP_OFFSET,
.br 
	G4_CMD_UNITS,
.br 
	G4_CMD_GET_ACTIVE_HUBS,
.br 
	G4_CMD_GET_STATION_MAP,
.br 
	G4_CMD_GET_SOURCE_MAP,
.br 
	G4_CMD_FRAMERATE,
.br 
	G4_CMD_RESTORE_DEF_CFG,
.br 
	G4_CMD_BLOCK_CFG,
.br 
	G4_TOTAL_COMMANDS\fR
.br 

\fIcds\fR:  A \fBG4_CMD_DATA_STRUCT\fR that contains the necessary information or variables that correspond to the specific command in \fIcmd\fR.  See the documentation for each command under \fBg4_set_query\fR().
.SH "AUTHOR"
James C. Farr <jimfarr@polhemus.com>
.SH "SEE ALSO"
\fBg4_init_sys\fR(3), \fBg4_set_query\fR(3), \fBg4_get_frame_data\fR(3), \fBg4_close_tracker\fR(3), \fBG4Track\fR(3), \fBG4_SENFRAMEDATA\fR(3), \fBG4_CMD_DATA_STRUCT\fR(3), \fBG4_FRAMEDATA\fR(3), \fBG4_SRC_MAP\fR(3), \fBG4_CMD_BLOCK_STRUCT\fR(3)
